/*
Theme Name: Pionier Energia
Theme URI: 
Author: Inkographic
Author URI: 
Description: Theme for Pionie Energia by Inkographic
Requires at least: 6.8
Tested up to: 6.8
Requires PHP: 5.7
Version: 
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: twentytwentyfive
Text Domain: pionier-energia
Tags: 
*/

:root {
    --primary: #3B8E01;
    --secondary: #f3f3f3;
    --accent: #ffcd00;
    --text: #003a0e;
    --black: #000000;
    --base: #ffffff;
    --gray: #e5e5e5;
}

html {
    scroll-behavior: smooth;
}

body *:active,
body *:focus,
body *:focus-visible {
    outline: none;
}

body {
    text-wrap: no-wrap;
}

h2 {
	width: fit-content;
}
.wp-block-navigation-item__content:hover {
	text-decoration-color: var(--accent);
	text-underline-offset: .2rem; 
}
.header-contact a {
	text-decoration: none !important;
text-underline-offset: 0.2rem !important;
}

.header-contact:hover {
	text-decoration: underline !important;
	text-decoration-color: var(--accent) !important;
	text-underline-offset: 0.2rem !important;
	text-decoration-thickness: 1px !important;
}


.flex-column {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
}


.flex-column.centered {
    justify-content: center;
}
#mailerlite-form_1 form,
form.wpcf7-form {
    overflow: hidden;
    line-height: 1.0;
}

#mailerlite-form_1 form ::-moz-placeholder,
.wpcf7-form ::-moz-placeholder {
    opacity: 1;
}

#mailerlite-form_1 form ::-moz-placeholder,
.wpcf7-form ::placeholder {
    opacity: 1;
}

#mailerlite-form_1 form #mailerlite-1-field-email,
.wpcf7-form .wpcf7-text,
.wpcf7-form .wpcf7-textarea,
.mailpoet_paragraph input.mailpoet_text {
    width: 100%;
    height: 30px;
    color: var(--text);
    background: transparent;
    border: 0;
    border-bottom: 1px solid var(--text);
    font-family: "Red Hat Display", sans-serif;
    font-size: 1rem;
    font-weight: 400;
    line-height: 30px;
}

.wpcf7-form .wpcf7-textarea {
    height: 150px;
}

.wpcf7-form .wpcf7-list-item {
    margin: 0;
}

#mailerlite-form_1 form label {
	display: none;
}
.wpcf7-form .wpcf7-list-item .wpcf7-list-item-label {
    color: var(--text);
}

.wpcf7-form div.inline-fields p {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.wpcf7-form div.inline-fields p span {
    width: 45%;
}

.wpcf7-form div.rodo-box {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.wpcf7-form div.rodo-box .wpcf7-list-item-label {
    font-size: 12px;
    line-height: 12px;
}

.wpcf7-form div.rodo-box .wpcf7-submit {
    cursor: pointer;
}

.wpcf7-form div.rodo-box .wpcf7-submit .wp-block-button__link {
    word-break: normal;
    border: 1px solid;
}

.wpcf7-form .wpcf7-spinner {
    display: none !important;
}
#mailerlite-form_1 form,
.mailpoet_form form.mailpoet_form {
    padding: 0 !important;
}

.wpcf7-form p,
.wpcf7-form span,
.wpcf7-form input,
.wpcf7-form textarea,
#mailpoet_form_1 form.mailpoet_form p,
#mailpoet_form_1 form.mailpoet_form .mailpoet_paragraph,
#mailpoet_form_1 form.mailpoet_form .mailpoet_paragraph input,
#mailpoet_form_1 form.mailpoet_form input,
#mailerlite-form_1 form.mailpoet_form p,
#mailerlite-form_1 form.mailpoet_form .mailpoet_paragraph,
#mailerlite-form_1 form.mailpoet_form .mailpoet_paragraph input,
#mailerlite-form_1 form.mailpoet_form input{
    padding: 0;
    margin: 0;
}

.wpcf7-form input,
.wpcf7-form textarea,
#mailpoet_form_1 form.mailpoet_form input,
#mailpoet_form_1 form.mailpoet_form .mailpoet_paragraph input,
#mailerlite-form_1 form.mailpoet_form input,
#mailerlite-form_1 form.mailpoet_form .mailpoet_paragraph input{
    padding: 8px 16px;
    margin-bottom: 24px !important;
}

#mailerlite-form_1 .mailerlite-subscribe-submit,
.wpcf7-submit,
.mailpoet_submit {
    border-radius: 4px;
    color: var(--text);
    border: 1px solid var(--text);
    padding: 16px 32px !important;
    text-transform: uppercase;
    font-weight: 600;
    font-size: 16px;
    letter-spacing: 1.6px;
    font-family: "Red Hat Display", sans-serif;
    float: right;
    cursor: pointer;
}
#mailerlite-form_1 .mailerlite-subscribe-submit br {
	display: none;
}

#mailerlite-form_1 .mailerlite-subscribe-submit,
.wpcf7-submit {
	border: none;
	color: var(--text);
	background-color: var(--accent);
	transition: all 0.2s linear;
}

#mailerlite-form_1 .mailerlite-subscribe-submit,
.wpcf7-submit:hover {
	color: white;
	background-color: var(--text);
}

#mailerlite-form_1 .mailerlite-subscribe-submit {
	border: 2px solid var(--accent);
}

#mailerlite-form_1 .mailerlite-subscribe-submit:hover {
	background-color: var(--accent);
		color: var(--text);
	border-color: var(--text);
}

.wpcf7-form .wpcf7-acceptance {
	font-size: 12px;
}
.wpcf7-form .wpcf7-acceptance input[type="checkbox"] {
	margin-bottom: 0 !important;
	margin-right: 4px;
}

.hoverable-square {
    height: 100%;
}

ul.hoverable-square li,
.hoverable-square:not(ul) {
    border: 1px solid var(--gray);
    box-shadow: none;
    transition: all 0.2s ease-in-out;
}

ul.hoverable-square li:hover,
.hoverable-square:not(ul):hover {
    border-color: var(--primary);
    box-shadow: 0px 8px 24px 0px rgba(0, 0, 0, 0.08) !important;
}

/* Slider */
.swiper {
    overflow: visible;
    overflow-x: clip;
}

.swiper-horizontal>.swiper-pagination-bullets,
.swiper-pagination-bullets.swiper-pagination-horizontal,
.swiper-pagination-custom,
.swiper-pagination-fraction {
    bottom: unset;
    top: -50px;
    display: flex;
    gap: 16px;
    justify-content: flex-end;
    height: unset;
    max-width: 1340px;
    margin: 0 auto;
}

.swiper-pagination-bullet {
    width: unset;
    height: unset;
    border-radius: 0;
    background: transparent;
    font-weight: 700;
}

.swiper-pagination-bullet-active {
    background: transparent;
}

.wp-block-gutsliders-any-content .swiper-button-next,
.wp-block-gutsliders-any-content .swiper-button-prev,
.wp-block-gutsliders-any-content .swiper-button-next:hover,
.wp-block-gutsliders-any-content .swiper-button-prev:hover {
    background: none;
}

.wp-block-gutsliders-any-content .swiper-button-next::after,
.wp-block-gutsliders-any-content .swiper-button-prev::after {
    color: var(--text);
    height: 30px;
    font-size: 30px;
}

.wp-block-gutsliders-any-content .swiper-button-disabled::after {
    opacity: 1;
    color: #d4d4d4;
}

/* Blog  */

.main-post-text {
    position: relative;
    z-index: 100;
}

.left-category-menu {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 8px;
    width: 100%;
}

.left-category-menu li {

    width: 100%;
}

.left-category-menu li a {
    padding: 24px;
    border: 1px solid #E5E5E5;
    width: 100%;
    height: 100%;
    display: block;
    box-sizing: border-box;
    text-decoration: none;
    transition: all .3s ease-in-out;
}

.left-category-menu li.current-cat a,
.left-category-menu li h2 a.current-item,
.left-category-menu li a:hover {
    border: 1px solid #3B8E01;
}

.left-category-menu li.type-kontakt:nth-last-of-type(1),
.left-category-menu li.type-kontakt:nth-last-of-type(1) a {
    background-color: #3B8E01;
    color: #FFF;
    font-family: "Red Hat Display";
    font-size: 16px;
    font-style: normal;
    font-weight: 700 !important;
    line-height: normal;
}

.left-category-menu li.type-kontakt:nth-last-of-type(2),
.left-category-menu li.type-kontakt:nth-last-of-type(2) a {
    background-color: #FFCD00;
    color: #003A0E;
    font-family: "Red Hat Display";
    font-size: 16px;
    font-style: normal;
    font-weight: 700 !important;
    line-height: normal;
}

.breadcrumbs p>span {
    color: red;
}

/* 1. kolor bazowy tekstu */
.breadcrumbs p {
    padding-left: 24px;
    --text-color: #003A0E;
    color: var(--text-color);
    font-size: 14px;
}

.breadcrumbs p>span {
    color: #FFCD00;
    font-size: 30px;
    line-height: 30px;
}

.breadcrumbs p>span>span,
.breadcrumbs p>span>span a,
.breadcrumbs p>span .breadcrumb_last {
    color: var(--text-color);
    font-size: 14px;
    vertical-align: top;
    letter-spacing: 1.4px;
}

/* Breadcrumbs */

.breadcrumbs a {
    text-decoration: none;
}

.breadcrumbs a:hover {
    text-decoration: underline;
}

/* 1. kolor bazowy tekstu */
.breadcrumbs {
    padding-left: 24px;
    --text-color: #003A0E;
    color: var(--text-color);
    font-size: 14px;
}

/* główne span, np. ze strzałkami i separacją */
.breadcrumbs>span {
    color: #FFCD00;
    font-size: 30px;
    line-height: 30px;
}

/* każdy kolejny span w ścieżce, linki oraz aktywna pozycja */
.breadcrumbs>span>span,
.breadcrumbs>span>span a,
.breadcrumbs>span .breadcrumb_last {
    color: var(--text-color);
    font-size: 14px;
    vertical-align: top;
    letter-spacing: 1.4px;
}


/* Wersja zwykła – solid */
.wp-block-button:not(.is-style-outline) .wp-block-button__link {
    position: relative;
    display: inline-block;
    background-color: var(--accent);
    /* #ffcd00 */
    color: var(--text);
    /* #003a0e */
    font-weight: bold;
    padding: 0.75em 1.5em;
    padding-left: 2.5em;
    /* miejsce na ikonę */
    border-radius: 6px;
    text-decoration: none;
    border: none;
    transition: background-color 0.2s ease-in-out;
}

/* Wersja outline */
.wp-block-button.is-style-outline .wp-block-button__link {
    position: relative;
    display: inline-block;
    background-color: transparent;
    color: var(--text);
    font-weight: bold;
    padding: 0.75em 1.5em;
    padding-left: 2.5em;
    border: 2px solid var(--text);
    border-radius: 6px;
    text-decoration: none;
    transition: background-color 0.2s ease-in-out, border-color 0.2s ease-in-out;
}

/* Wspólna strzałka */
.wp-block-button .wp-block-button__link::before {
    content: '';
    position: absolute;
    left: 1em;
    top: 50%;
    width: 14px;
    height: 10px;
    background-image: url("data:image/svg+xml,%3Csvg width='14' height='10' viewBox='0 0 14 10' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M0 5C0 4.72386 0.223858 4.5 0.5 4.5L12.2929 4.5L9.14645 1.35355C8.95118 1.15829 8.95118 0.841708 9.14645 0.646446C9.34171 0.451183 9.65829 0.451183 9.85355 0.646446L13.8536 4.64645C14.0488 4.84171 14.0488 5.15829 13.8536 5.35355L9.85355 9.35355C9.65829 9.54882 9.34171 9.54882 9.14645 9.35355C8.95118 9.15829 8.95118 8.84171 9.14645 8.64645L12.2929 5.5L0.5 5.5C0.223858 5.5 0 5.27614 0 5Z' fill='%23003A0E'/%3E%3C/svg%3E");
    background-size: contain;
    background-repeat: no-repeat;
    transform: translateY(-50%);
    transition: transform 0.3s ease;
    pointer-events: none;
}

/* Przesunięcie strzałki na hover */
.wp-block-button .wp-block-button__link:hover::before {
    transform: translate(8px, -50%);
}


.wp-block-button.is-style-outline-white .wp-block-button__link {
    position: relative;
    display: inline-block;
    background-color: transparent;
    color: #ffffff;
    font-weight: bold;
    padding: 0.75em 1.5em;
    padding-left: 2.5em;
    border: 2px solid #ffffff;
    border-radius: 6px;
    text-decoration: none;
    transition: background-color 0.2s ease-in-out, border-color 0.2s ease-in-out, color 0.2s ease-in-out;
}

/* Strzałka biała */
.wp-block-button.is-style-outline-white .wp-block-button__link::before {
    content: '';
    position: absolute;
    left: 1em;
    top: 50%;
    width: 14px;
    height: 10px;
    background-image: url("data:image/svg+xml,%3Csvg width='14' height='10' viewBox='0 0 14 10' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M0 5C0 4.72386 0.223858 4.5 0.5 4.5L12.2929 4.5L9.14645 1.35355C8.95118 1.15829 8.95118 0.841708 9.14645 0.646446C9.34171 0.451183 9.65829 0.451183 9.85355 0.646446L13.8536 4.64645C14.0488 4.84171 14.0488 5.15829 13.8536 5.35355L9.85355 9.35355C9.65829 9.54882 9.34171 9.54882 9.14645 9.35355C8.95118 9.15829 8.95118 8.84171 9.14645 8.64645L12.2929 5.5L0.5 5.5C0.223858 5.5 0 5.27614 0 5Z' fill='%23ffffff'/%3E%3C/svg%3E");
    background-size: contain;
    background-repeat: no-repeat;
    transform: translateY(-50%);
    transition: transform 0.3s ease;
    pointer-events: none;
}

.wp-block-button.is-style-outline-white .wp-block-button__link:hover::before {
    transform: translate(8px, -50%);
}

.wp-block-button.is-style-link .wp-block-button__link,
.wp-block-post-excerpt__more-link {
    position: relative;
    display: inline-block;
    background-color: transparent;
    color: var(--text);
    font-weight: bold;
    padding: 0.75em 1.5em;
    padding-left: 2.5em;
    border: none;
    border-radius: 0;
    text-decoration: none;
    transition: color 0.3s ease;
    text-wrap: nowrap;
}

/* strzałka – kolor --text (#003a0e) */
.wp-block-button.is-style-link .wp-block-button__link::before,
.wp-block-post-excerpt__more-link::before {
    content: '';
    position: absolute;
    left: 1em;
    top: 50%;
    width: 14px;
    height: 10px;
    background-image: url("data:image/svg+xml,%3Csvg width='14' height='10' viewBox='0 0 14 10' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M0 5C0 4.72386 0.223858 4.5 0.5 4.5L12.2929 4.5L9.14645 1.35355C8.95118 1.15829 8.95118 0.841708 9.14645 0.646446C9.34171 0.451183 9.65829 0.451183 9.85355 0.646446L13.8536 4.64645C14.0488 4.84171 14.0488 5.15829 13.8536 5.35355L9.85355 9.35355C9.65829 9.54882 9.34171 9.54882 9.14645 9.35355C8.95118 9.15829 8.95118 8.84171 9.14645 8.64645L12.2929 5.5L0.5 5.5C0.223858 5.5 0 5.27614 0 5Z' fill='%23003A0E'/%3E%3C/svg%3E");
    background-size: contain;
    background-repeat: no-repeat;
    transform: translateY(-50%);
    transition: transform 0.3s ease;
    pointer-events: none;
}

.wp-block-button.is-style-link .wp-block-button__link:hover::before,
.wp-block-post-excerpt__more-link:hover::before {
    transform: translate(8px, -50%);
}

.superblockslider__controls.superblockslider__buttons {
    gap: 16px;
    bottom: 8px;
}

.superblockslider__button {
    min-width: 8px;
    height: 8px;
    width: 8px;
}

.superblockslider__button svg {
    height: 8px;
    width: 8px;
    fill: rgba(255, 255, 255, .75)
}

.superblockslider__button--active svg,
.superblockslider__button:hover svg {
    fill: var(--accent);
}


.components-panel__body .block-editor-link-control,
.components-panel__body .block-editor-url-input {
    min-width: unset !important;
    margin: 0;
}


.cover-link .wp-block-cover__background {
    opacity: 0.7 !important;
    transition: all 0.2s linear;
}

.cover-link:hover .wp-block-cover__background {
    /* top: -100%; */
    opacity: 1 !important;
}

@media screen and (min-width: 782px) {
    .hide-on-desktop {
        display: none;
    }
}

@media screen and (max-width: 781px) {
    .superblockslider__slide_inner {
        padding: 0 24px;
    }

    .hide-on-mobile {
        display: none;
    }

    .hero-left-section {
        height: 240px;
        padding-bottom: 24px !important;
    }

    .section-header.h2 {
        margin-left: -24px !important;
        margin-right: 0 !important;
        padding: 40px 0 24px 0 !important;
    }

    .section-header h2 {
        padding-left: 24px !important;
        padding-right: 24px !important;
        width: 100%;
    }

    .p-0 {
        padding: 0 !important;
    }

    .p-24 {
        padding: 24px !important;
    }

    .pt-24 {
        padding-top: 24px !important;
    }

    .pb-24 {
        padding-bottom: 24px !important;
    }

    .ps-24 {
        padding-left: 24px !important;
    }

    .pe-24 {
        padding-right: 24px !important;
    }

    .align-left-on-mobile {
        text-align: left !important;
    }
}

.wp-block-navigation .has-child .wp-block-navigation__submenu-container {
    z-index: 2000;
}

.wp-block-navigation__container a[href="#"] {
    pointer-events: none;
    cursor: default;
    color: inherit;
    text-decoration: none;
}

.wp-block-navigation .has-child .wp-block-navigation-submenu__toggle[aria-expanded="true"] ~ .wp-block-navigation__submenu-container, .wp-block-navigation .has-child:not(.open-on-click):hover > .wp-block-navigation__submenu-container, .wp-block-navigation .has-child:not(.open-on-click):not(.open-on-hover-click):focus-within > .wp-block-navigation__submenu-container {
min-width: 300px;
}

.wp-block-navigation__responsive-container.is-menu-open {
}

.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content {
    
}

.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__container.is-responsive {
    gap: 0 !important;
}

.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation-item {
    border-bottom: 1px solid var(--gray);
	width: 100%;
}

.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation-item.has-child {
	border-bottom: none;
}

.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation-item:last-child {
    border-bottom: none;
}

.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation-item__content,
.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation-item__label {
    display: block;
	padding: 8px 0;
    color: var(--text);
    font-size: 1rem;
    font-weight: 500;
    text-transform: uppercase;
}

.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation-item__content:focus {
    outline: none;
}

.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation-item__content[aria-current="page"] {
    color: var(--primary);
    font-weight: 700;
    background: var(--secondary);
}

.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__submenu-container {
	padding: 8px 0 24px 16px !important;
	border: none;
}

.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__submenu-container .wp-block-navigation-item {
}

.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__submenu-container .wp-block-navigation-item__content {
}

@media (max-width: 480px) {
    .wp-block-navigation__responsive-container.is-menu-open {
        padding: 14px 3vw 22px 3vw !important;
    }
    .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-close {
        right: 4vw !important;
        font-size: 2rem !important;
    }
}

li.wp-block-post > div:nth-child(2) {
  height: calc(100% - 215px);
	display: flex;
	flex-direction: column;
}


li.wp-block-post > div:nth-child(2) > div:nth-child(2) {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  flex-grow: 1
}

li.wp-block-post > div:nth-child(2) > div:nth-child(2) a {
	margin: 0;
}